Bug 986143 - [online_ui_303] It should return successful message instead of coupon message after applying a coupon successfully.
[online_ui_303] It should return successful message instead of coupon message...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 00:40 EDT by Yujie Zhang
Modified: 2015-05-14 21:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:25:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-07-19 00:40:11 EDT
Description of problem:

After applying a coupon successfully, it will return the coupon message in aria, like "externaltest2 coupon\nmessage. used in unit\ntests. must contain the\ntext 'test coupon' ", this will confuse user, we should return successful message.

Version-Release number of selected component (if applicable):
devenv_3527

How reproducible:
always

Steps to Reproduce:
1.Upgrade account to silver
2.Input vaild coupon account in the plan confirmation page
3.Submit

Actual results:

It returned coupon message in aria like "externaltest2 coupon\nmessage. used in unit\ntests. must contain the\ntext 'test coupon' ", no successful message.

Expected results:

Ether we return successful message or we can add the successful message in coupon message in aria, to make it clear.

Additional info:
Comment 1 Jordan Liggitt 2013-07-19 08:53:01 EDT
I will add a success message, in addition to the coupon message configured in Aria
Comment 2 Jordan Liggitt 2013-07-19 11:33:06 EDT
Merge in https://github.com/openshift/li/pull/1749
Comment 3 Wei Sun 2013-07-22 01:44:58 EDT
Verified on devenv_3535

After applying a coupon successfully,it will return "The coupon was successfully applied. Coupon message for external-test coupon (used in unit tests)"

Note You need to log in before you can comment on or make changes to this bug.